Skip to main content
POST
Adjust entry for an exception

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Path Parameters

exceptionId
string
required

Exception ID

Body

application/json

Adjust entry payload

Adjust entry request payload

amount
number
required

Adjustment amount

Example:

150.5

currency
string
required

Currency code (ISO 4217)

Example:

"BRL"

effectiveAt
string<date-time>
required

When the adjustment takes effect

notes
string
required

Additional notes explaining the adjustment

Maximum string length: 1000
Example:

"Correcting processing fee discrepancy"

reasonCode
string
required

Reason code for the adjustment

Maximum string length: 255
Example:

"FEE_ADJUSTMENT"

Response

Indicates that the request was successful and the response contains the expected data.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.

Exception details

assignedTo
string

User the exception is assigned to

Example:

"user@example.com"

createdAt
string

Creation timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"

dueAt
string

Due date for resolution in RFC3339 format

Example:

"2025-01-20T10:30:00.000Z"

externalIssueId
string

External issue ID in the external system

Example:

"RECON-1234"

externalSystem
string

External system where exception was dispatched

Example:

"JIRA"

id
string

Unique identifier for the exception

Example:

"019c96a0-10d2-7134-ba5f-664142ee7052"

reason
string

Reason the exception was raised

Example:

"Amount mismatch detected"

resolutionNotes
string

Resolution notes when resolved

Example:

"Resolved via force match"

resolutionReason
string

Reason for the resolution

Example:

"BUSINESS_DECISION"

resolutionType
enum<string>

Type of resolution applied

Available options:
FORCE_MATCH,
ADJUST_ENTRY
Example:

"FORCE_MATCH"

severity
enum<string>

Severity level

Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
Example:

"HIGH"

status
enum<string>

Current status

Available options:
OPEN,
ASSIGNED,
PENDING_RESOLUTION,
RESOLVED
Example:

"OPEN"

transactionId
string

Transaction ID this exception is for

Example:

"019c96a0-10ce-75fc-a273-dc799079a99c"

updatedAt
string

Last update timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"